import type { OnAudioFocusChangedData, OnAudioTracksData, OnBandwidthUpdateData, OnBufferData, OnExternalPlaybackChangeData, OnLoadData, OnLoadStartData, OnPictureInPictureStatusChangedData, OnPlaybackData, OnPlaybackStateChangedData, OnProgressData, OnReceiveAdEventData, OnSeekData, OnTextTrackDataChangedData, OnTextTracksData, OnTimedMetadataData, OnVideoAspectRatioData, OnVideoErrorData, OnVideoTracksData, OnVolumeChangeData } from '../specs/VideoNativeComponent';
export type AudioTrack = OnAudioTracksData['audioTracks'][number];
export type TextTrack = OnTextTracksData['textTracks'][number];
export interface ReactVideoEvents {
    onAudioBecomingNoisy?: () => void;
    onAudioFocusChanged?: (e: OnAudioFocusChangedData) => void;
    onIdle?: () => void;
    onBandwidthUpdate?: (e: OnBandwidthUpdateData) => void;
    onBuffer?: (e: OnBufferData) => void;
    onEnd?: () => void;
    onError?: (e: OnVideoErrorData) => void;
    onExternalPlaybackChange?: (e: OnExternalPlaybackChangeData) => void;
    onFullscreenPlayerWillPresent?: () => void;
    onFullscreenPlayerDidPresent?: () => void;
    onFullscreenPlayerWillDismiss?: () => void;
    onFullscreenPlayerDidDismiss?: () => void;
    onLoad?: (e: OnLoadData) => void;
    onLoadStart?: (e: OnLoadStartData) => void;
    onPictureInPictureStatusChanged?: (e: OnPictureInPictureStatusChangedData) => void;
    onPlaybackRateChange?: (e: OnPlaybackData) => void;
    onVolumeChange?: (e: OnVolumeChangeData) => void;
    onProgress?: (e: OnProgressData) => void;
    onReadyForDisplay?: () => void;
    onReceiveAdEvent?: (e: OnReceiveAdEventData) => void;
    onRestoreUserInterfaceForPictureInPictureStop?: () => void;
    onSeek?: (e: OnSeekData) => void;
    onPlaybackStateChanged?: (e: OnPlaybackStateChangedData) => void;
    onTimedMetadata?: (e: OnTimedMetadataData) => void;
    onAudioTracks?: (e: OnAudioTracksData) => void;
    onTextTracks?: (e: OnTextTracksData) => void;
    onTextTrackDataChanged?: (e: OnTextTrackDataChangedData) => void;
    onVideoTracks?: (e: OnVideoTracksData) => void;
    onAspectRatio?: (e: OnVideoAspectRatioData) => void;
}
